Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class SetDataModel

    java.lang.Object
      javax.faces.model.DataModel
          org.jboss.seam.jsf.SetDataModel

All Implemented Interfaces:
  Serializable

    public class SetDataModel

extends javax.faces.model.DataModel
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`SetDataModel()`
`SetDataModel(Set set)`

Method Summary
`int` | `getRowCount()`
`Object` | `getRowData()`
`int` | `getRowIndex()`
`Object` | `getWrappedData()`
`boolean` | `isRowAvailable()`
`void` | `setRowIndex(int newRowIndex)`
`void` | `setWrappedData(Object data)`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetDataModel

    public SetDataModel()

### SetDataModel

    public SetDataModel(Set set)

Method Detail

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in class `javax.faces.model.DataModel`

### getRowData

    public Object getRowData()

  Specified by:
    `getRowData` in class `javax.faces.model.DataModel`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `javax.faces.model.DataModel`

### getWrappedData

    public Object getWrappedData()

  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `javax.faces.model.DataModel`

### setRowIndex

    public void setRowIndex(int newRowIndex)

  Specified by:
    `setRowIndex` in class `javax.faces.model.DataModel`

### setWrappedData

    public void setWrappedData(Object data)

  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD